<?php
/*-----------------------------------------------------------------
* 	ID:						cseov25_qf8.php
* 	Letzter Stand:			v2.5
* 	zuletzt geaendert von:	akausch
* 	Datum:					2014/04/08
*
* 	Copyright (c) since 2010 commerce:SEO by Webdesign Erfurt
* 	http://www.commerce-seo.de
* ---------------------------------------------------------------*/

class cseov25_qf8 {
var $title, $output;

function cseov25_qf8() {
  $this->code = 'cseov25_qf8';
  $this->version = '2.5.08';
  $this->title = 'cseov25_qf8';
  $this->description = 'Fix5.8 für commerce:SEO v2next 2.5.7';
  $this->enabled = ((MODULE_CSEO_V251QF8_STATUS == 'true') ? true : false);
  $this->sort_order = MODULE_CSEO_V251QF8_SORT_ORDER;

  $this->output = array();
}

function process() {
  global $order, $xtPrice;


}

function check() {
  if (!isset($this->_check)) {
	$check_query = xtc_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_CSEO_V251QF8_STATUS'");
	$this->_check = xtc_db_num_rows($check_query);
  }

  return $this->_check;
}

function keys() {
	return array('MODULE_CSEO_V251QF8_STATUS', 'MODULE_CSEO_V251QF8_SORT_ORDER');
}

function install() {
	xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value,configuration_group_id, sort_order, set_function, date_added) VALUES ('MODULE_CSEO_V251QF8_STATUS', 'true', '6', '1','', now())");
	xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value,configuration_group_id, sort_order, date_added) VALUES ('MODULE_CSEO_V251QF8_SORT_ORDER', '1','6', '2', now())");
	xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value,configuration_group_id, sort_order, date_added) VALUES ('MODULE_CSEO_V251QF8', 'true','6', '3', now())");
	
	xtc_db_query("DELETE FROM configuration WHERE configuration_key = 'CSEO_URL_ADMIN_ON';");
	xtc_db_query("DELETE FROM configuration WHERE configuration_key = 'ADMIN_CSEO_START_RSS';");

	//Fehlende Spalten
	if (!column_exists ('content_manager','last_modified')) {
		xtc_db_query("ALTER TABLE content_manager ADD last_modified DATETIME NOT NULL;");
		xtc_db_query("UPDATE content_manager SET last_modified = now();");
	}
	
	//Fehlende Config
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'ADMIN_CSEO_ORDER_COMMENT';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'ADMIN_CSEO_ORDER_COMMENT', 'false', 1003, 17, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('true', 'false'),\");");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'ADMIN_CSEO_ORDER_SEND';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'ADMIN_CSEO_ORDER_SEND', 'false', 1003, 18, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('true', 'false'),\");");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'ADMIN_DEFAULT_LISTING_NUM';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'ADMIN_DEFAULT_LISTING_NUM', '20', 1003, 19, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('20', '50', '100', '250', '10000'),\");");
	}
	
	//Fehlende Navi
	// $check_query = xtc_db_query("select name from admin_navigation where title = 'Retouren Einstellungen';");
	// if (xtc_db_num_rows($check_query) == 0) {
		// xtc_db_query("INSERT INTO admin_navigation VALUES (NULL, 'configuration', 'Retouren Einstellungen', 'seo_config', 'configuration.php', 1005, 1, NULL, 30);");
		// xtc_db_query("INSERT INTO admin_navigation VALUES (NULL, 'configuration', 'RMA Settings', 'seo_config', 'configuration.php', 1005, 2, NULL, 30);");
	// }

		$lang_de = xtc_db_query("SELECT languages_id FROM languages WHERE code = 'de';");
		if (xtc_db_num_rows($lang_de) > 0) {
			$lang_de = xtc_db_fetch_array($lang_de);
			if(file_exists(DIR_FS_CATALOG . 'admin/includes/modules/install/rma_de.sql')) {
				require_once(DIR_FS_INC.'cseo_sql_query.inc.php');
				cseo_sql_query(DIR_FS_CATALOG . 'admin/includes/modules/install/rma_de.sql', $lang_de['languages_id']);
			}
		}
		
		$lang_en = xtc_db_query("SELECT languages_id FROM languages WHERE code = 'en';");
		if (xtc_db_num_rows($lang_en) > 0) {
			$lang_en = xtc_db_fetch_array($lang_en);
			if(file_exists(DIR_FS_CATALOG . 'admin/includes/modules/install/rma_en.sql')) {
				require_once(DIR_FS_INC.'cseo_sql_query.inc.php');
				cseo_sql_query(DIR_FS_CATALOG . 'admin/includes/modules/install/rma_en.sql', $lang_en['languages_id']);
			}
		}
		
		$lang_other = xtc_db_query("SELECT languages_id FROM languages WHERE code != 'en' AND code != 'de';");
		if (xtc_db_num_rows($lang_other) > 0) {
			while ($other_lang = xtc_db_fetch_array($lang_other)) {
				$language_id = $other_lang['languages_id'];
				if(file_exists(DIR_FS_CATALOG . 'admin/includes/modules/install/rma_en.sql')) {
					require_once(DIR_FS_INC.'cseo_sql_query.inc.php');
					cseo_sql_query(DIR_FS_CATALOG . 'admin/includes/modules/install/rma_en.sql', $language_id);
				}
			}
		}
		
		xtc_db_query("UPDATE emails SET email_address = '".STORE_OWNER_EMAIL_ADDRESS."' WHERE email_name = 'new_rma';");
		xtc_db_query("UPDATE emails SET email_address_name = '".STORE_NAME."' WHERE email_name = 'new_rma';");
		xtc_db_query("UPDATE emails SET email_replay_address = '".EMAIL_FROM."' WHERE email_name = 'new_rma';");
		xtc_db_query("UPDATE emails SET email_replay_address_name = '".STORE_NAME."' WHERE email_name = 'new_rma';");
		
		xtc_db_query("UPDATE emails SET email_address = '".STORE_OWNER_EMAIL_ADDRESS."' WHERE email_name = 'change_rma';");
		xtc_db_query("UPDATE emails SET email_address_name = '".STORE_NAME."' WHERE email_name = 'change_rma';");
		xtc_db_query("UPDATE emails SET email_replay_address = '".EMAIL_FROM."' WHERE email_name = 'change_rma';");
		xtc_db_query("UPDATE emails SET email_replay_address_name = '".STORE_NAME."' WHERE email_name = 'change_rma';");
		
		xtc_db_query("UPDATE admin_navigation SET title = 'magnalister' WHERE title = 'Magnalister';");

	
	xtc_db_query("UPDATE database_version SET version = 'commerce:SEO v2next 2.5.8'");
	

}

function remove() {
  xtc_db_query("DELETE FROM " . TABLE_CONFIGURATION . " WHERE configuration_key in ('" . implode("', '", $this->keys()) . "')");
  xtc_db_query("DELETE FROM " . TABLE_CONFIGURATION . " WHERE configuration_key = 'MODULE_CSEO_V251QF8'");
  xtc_db_query("DELETE FROM emails WHERE email_name = 'new_rma'");
  xtc_db_query("DELETE FROM emails WHERE email_name = 'change_rma'");
}

}
